Platform

Casafari es la plataforma de inteligencia de datos inmobiliarios nativa para agentes de IA. El índice inmobiliario más completo de Europa: un grafo inmobiliario limpio y deduplicado de propiedades residenciales y comerciales, en venta y alquiler, en 16 países.El índice inmobiliario más completo de Europa: un grafo inmobiliario limpio y deduplicado.

Cómo se construye el grafo

Legacy API · Area Insights

Analysis

POSThttps://api.casafari.com/market-analytics-api/analysis
Token Bearer42 parameters

Legacy API (api.casafari.com). A route of the existing API for Casafari clients with a contract, not of the platform. On the platform: POST /v1/area-insights/analysis.

En la Legacy API en https://api.casafari.com (clientes con contrato): envíe Authorization: Bearer $CASAFARI_TOKEN; consulte cómo obtener un token. Nuevos usuarios: la API REST de la plataforma, claves de API de plataforma.

Description

Market analysis based on the requested property parameters.

Cuerpo de la solicitud

Tipo de contenido application/json. Obligatorio. Tipo: object.

custom_location_boundaryobjectobligatorio
3 propiedades
location_idsinteger[]
Lista de ID de ubicación.
1–10 elementos1–2147483647
polygonobject[]
Lista de puntos geográficos en los que realizar la búsqueda. El polígono debe contener al menos 4 puntos. El primer y el último punto deben coincidir.
al menos 4 elementos
2 propiedades
latitudenumberobligatorio
-90–90
longitudenumberobligatorio
-180–180
circleobject
Dibuja un círculo para delimitar el área de búsqueda.
2 propiedades
distanceintegerobligatorio
Distancia máxima en metros desde el target_point solicitado hasta los inmuebles.
50–50000
target_pointobjectobligatorio
Coordenadas del punto objetivo alrededor del cual buscar.
2 propiedades
latitudenumberobligatorio
-90–90
longitudenumberobligatorio
-180–180
business_typestringobligatorio
Tipo de operación para la que el inmueble está disponible.
sale rent
typesstring[]obligatorio
Lista de tipos de propiedad por grupos: apartment: ["apartment", "studio", "duplex", "penthouse", "dachgeschosswohnung", "etagenwohnung", "erdgeschosswohnung"] house: ["country_house", "house", "palace", "townhouse", "villa", "country_estate", "chalet", "bungalow", "family_house", "reihenhaus", "reihenendhaus", "reihenmittelhaus", "einfamilienhaus", "zweifamilienhaus", "landwirtschaftliche_betriebe"] room: ["room"] building: ["apartment_building", "office_building", "mix_use_building"] investment: ["retail", "office", "industrial", "warehouse", "hotel", "building", "other_commercial", "restaurant", "werkstatt"] development: ["apartment_development", "house_development"] plot: ["urban_plot", "rural_plot"] other: ["parking", "garage", "other"] Tenga en cuenta que solo puede seleccionar varios tipos dentro de un mismo grupo de tipos de propiedad. Algunos tipos solo existen en determinados países: Alemania: dachgeschosswohnung, etagenwohnung, erdgeschosswohnung, family_house, reihenhaus, reihenendhaus, reihenmittelhaus, einfamilienhaus, zweifamilienhaus, landwirtschaftliche_betriebe, restaurant, werkstatt; Francia, Alemania, Italia, Portugal, España: urban_plot, rural_plot.
42 valores permitidosapartment studio duplex penthouse dachgeschosswohnung etagenwohnung erdgeschosswohnung country_house house palace townhouse villa country_estate chalet bungalow family_house reihenhaus reihenendhaus reihenmittelhaus einfamilienhaus zweifamilienhaus landwirtschaftliche_betriebe retail office industrial warehouse hotel building other_commercial restaurant werkstatt urban_plot rural_plot room parking garage other apartment_building office_building mix_use_building apartment_development house_development
al menos 1 elemento
conditionsstring[]nullable
Estados de la propiedad: cualquiera de used, ruin, very-good, new, other.
used ruin very-good new other
al menos 1 elemento
energy_ratingsstring[]nullable
List of energy ratings that attests to the energy efficiency of the property.
Unknown A+ A B C D E F G H
al menos 1 elemento
orientationsstring[]nullable
Orientación de las vistas de la propiedad.
exterior interior
al menos 1 elemento
viewsstring[]nullable
Lista de vistas desde la propiedad.
water landscape city golf park
al menos 1 elemento
directionsstring[]nullable
Lista de orientaciones de la propiedad.
north south east west
al menos 1 elemento
floorsstring[]nullable
Lista de tipos de planta.
no_floor ground middle top
al menos 1 elemento
price_rangeobjectnullable
2 propiedades
minintegernullable
1–2147483647
maxintegernullable
1–2147483647
rooms_rangeobjectnullable
2 propiedades
minintegernullable
1–15000
maxintegernullable
1–15000
bedrooms_rangeobjectnullable
2 propiedades
minintegernullable
0–15000
maxintegernullable
0–15000
bathrooms_rangeobjectnullable
2 propiedades
minintegernullable
1–15000
maxintegernullable
1–15000
total_area_rangeobjectnullable
2 propiedades
minintegernullable
1–1000000
maxintegernullable
1–1000000
plot_area_rangeobjectnullable
2 propiedades
minintegernullable
1–1000000
maxintegernullable
1–1000000
construction_year_rangeobjectnullable
2 propiedades
minintegernullable
1–3000
maxintegernullable
1–3000
characteristicsobjectnullable
2 propiedades
must_havestring[]
Incluir solo los inmuebles que posean todas estas características.
balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuity
excludestring[]
Excluir los inmuebles que contengan alguna de estas características.
balcony elevator no_elevator garage garden parking storage swimming_pool terrace rental_license furniture rented_out life_annuity

Ejemplo de solicitud

Solo marcadores de posición: reemplace el token y los valores por los suyos.

curl
curl -X POST "https://api.casafari.com/market-analytics-api/analysis" \
  -H "Authorization: Bearer $CASAFARI_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "types": [
    "apartment"
  ],
  "business_type": "sale",
  "custom_location_boundary": {
    "location_ids": [
      11737
    ]
  }
}'

Respuestas

200 Respuesta correcta

Tipo: object.

Show the response shape (33 fields)
price_statisticsobjectobligatorio
Statistics including the average price and average price per square meter for properties matching the requested filters.
2 propiedades
average_priceintegerobligatorio
average_price_per_sqmintegerobligatorio
price_estimationobjectobligatorio
Provides estimated prices, including a quick sale price fast_market_price and an inflated price out_of_market_price.
2 propiedades
fast_market_priceintegerobligatorio
out_of_market_priceintegerobligatorio
price_evolutionobjectobligatorio
Represents time series data showing how average prices and prices per square meter have changed over time for inactive properties.
2 propiedades
avg_priceobjectobligatorio
5 propiedades
for_the_last_1_monthintegerobligatorio
for_the_last_3_monthintegerobligatorio
for_the_last_6_monthintegerobligatorio
for_the_last_9_monthintegerobligatorio
for_the_last_12_monthintegerobligatorio
avg_price_per_sqmobjectobligatorio
5 propiedades
for_the_last_1_monthintegerobligatorio
for_the_last_3_monthintegerobligatorio
for_the_last_6_monthintegerobligatorio
for_the_last_9_monthintegerobligatorio
for_the_last_12_monthintegerobligatorio
summary_price_evolutionobjectobligatorio
Represents time series data showing how average prices and prices per square meter have changed over time for both active and inactive properties.
2 propiedades
avg_priceobjectobligatorio
5 propiedades
for_the_last_1_monthintegerobligatorio
for_the_last_3_monthintegerobligatorio
for_the_last_6_monthintegerobligatorio
for_the_last_9_monthintegerobligatorio
for_the_last_12_monthintegerobligatorio
avg_price_per_sqmobjectobligatorio
5 propiedades
for_the_last_1_monthintegerobligatorio
for_the_last_3_monthintegerobligatorio
for_the_last_6_monthintegerobligatorio
for_the_last_9_monthintegerobligatorio
for_the_last_12_monthintegerobligatorio
average_days_on_the_marketintegerobligatorio
Indicates the average number of days properties remain listed on the market before being sold or removed.
Example from a real call (Madrid, apartments for sale)
JSON
{
  "price_statistics": {
    "average_price": 1011690,
    "average_price_per_sqm": 7305
  },
  "price_estimation": {
    "fast_market_price": 539298,
    "out_of_market_price": 596067
  },
  "price_evolution": {
    "avg_price": {
      "for_the_last_1_month": 578551,
      "for_the_last_3_month": 577572,
      "for_the_last_6_month": 574922,
      "for_the_last_9_month": 571344,
      "for_the_last_12_month": 567683
    },
    "avg_price_per_sqm": {
      "for_the_last_1_month": 4820,
      "for_the_last_3_month": 4802,
      "for_the_last_6_month": 4771,
      "for_the_last_9_month": 4733,
      "for_the_last_12_month": 4693
    }
  },
  "summary_price_evolution": {
    "avg_price": {
      "for_the_last_1_month": 615491,
      "for_the_last_3_month": 613654,
      "for_the_last_6_month": 613816,
      "for_the_last_9_month": 611901,
      "for_the_last_12_month": 608941
    },
    "avg_price_per_sqm": {
      "for_the_last_1_month": 5071,
      "for_the_last_3_month": 5038,
      "for_the_last_6_month": 5024,
      "for_the_last_9_month": 4992,
      "for_the_last_12_month": 4953
    }
  },
  "average_days_on_the_market": 133
}

400 Solicitud incorrecta

Tipo: object.

Mostrar la estructura de la respuesta (3 campos)
messagestringobligatorio
errorsstring[]nullable
detailsstringnullable

404 No encontrado

Tipo: object.

Mostrar la estructura de la respuesta (3 campos)
messagestringobligatorio
errorsstring[]nullable
detailsstringnullable

422 Error de validación

Tipo: object.

Mostrar la estructura de respuesta (6 campos)
detailobject[]
5 propiedades
loc(string | integer)[]obligatorio
msgstringobligatorio
typestringobligatorio
inputany
ctxobject

Consejo: añada .md a cualquier URL para leerla como Markdown.